> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Bulk Update

PATCH https://restapi.ordergroove.com/products-batch/update/
Content-Type: application/json

Updates multiple products

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/products/bulk-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /products-batch/update/:
    patch:
      operationId: bulk-update
      summary: Bulk Update
      description: Updates multiple products
      tags:
        - products
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '207':
          description: '207'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products_bulk-update_Response_207'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bulk-updateRequestForbiddenError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                RAW_BODY:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItems
                  description: List of products (max 100)
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsProductType:
      type: string
      enum:
        - standard
        - bundle
        - club
        - dynamic price bundle
        - static price bundle
      default: standard
      description: >-
        Product type: "standard", "bundle", "club", "dynamic price bundle",
        "static price bundle"
      title: >-
        ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsProductType
    ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsGroupsItems:
      type: object
      properties:
        name:
          type: string
          description: Product group's name
        group_type:
          type: string
          description: Product group's type
      title: >-
        ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsGroupsItems
    ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItems:
      type: object
      properties:
        product_id:
          type: string
          description: Product ID (must be unique)
        name:
          type: string
          description: Product Name
        sku:
          type: string
          description: Product SKU
        price:
          type: number
          format: double
          description: Product price
        live:
          type: boolean
          default: true
          description: Product liveliness
        image_url:
          type: string
          default: 'null'
          description: Product image url
        detail_url:
          type: string
          default: 'null'
          description: Product details url
        autoship_enabled:
          type: boolean
          default: false
          description: Product autoship eligibility
        prepaid_eligible:
          type: boolean
          default: false
          description: Product prepaid eligibility
        discontinued:
          type: boolean
          default: false
          description: Product discontinued status
        autoship_by_default:
          type: boolean
          default: false
          description: Product default autoship
        product_type:
          $ref: >-
            #/components/schemas/ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsProductType
          default: standard
          description: >-
            Product type: "standard", "bundle", "club", "dynamic price bundle",
            "static price bundle"
        every:
          type: integer
          description: Number of periods
        every_period:
          type: integer
          description: Type of periods
        premier_enabled:
          type: integer
          description: 'Product premier: 0 for Disabled, 1 for Enabled, 2 for Tier'
        extra_data:
          type: string
          default: 'null'
          description: >-
            Raw JSON string that should be JSON.parse() as key/value store for
            any extra information.
        groups:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItemsGroupsItems
          description: >-
            Product Groups to be associated with the Product (notice that this
            list of groups will replace the current list of groups that are
            associated with the product)
      required:
        - product_id
      title: >-
        ProductsBatchUpdatePatchRequestBodyContentApplicationJsonSchemaRawBodyItems
    ProductsBatchUpdatePatchResponsesContentApplicationJsonSchemaResultsItems:
      type: object
      properties:
        product_id:
          type: string
        status:
          type: integer
          default: 0
      title: >-
        ProductsBatchUpdatePatchResponsesContentApplicationJsonSchemaResultsItems
    Products_bulk-update_Response_207:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductsBatchUpdatePatchResponsesContentApplicationJsonSchemaResultsItems
      title: Products_bulk-update_Response_207
    Bulk-updateRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Bulk-updateRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products-batch/update/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products-batch/update/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products-batch/update/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products-batch/update/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/products-batch/update/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/products-batch/update/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products-batch/update/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products-batch/update/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```